Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger.command
Class DebugApplicationCommand

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--jde.debugger.command.DebugCommand
                  |
                  +--jde.debugger.command.DebugApplicationCommand

All Implemented Interfaces:
  java.lang.Cloneable, Protocol, java.lang.Runnable

Direct Known Subclasses:
  EvaluateExpression, GetArray, GetLocals, GetString, GetThis, Run, Step

public abstract class DebugApplicationCommand
extends DebugCommand

DebugApplicationCommand.java Created: Fri Jan 28 21:58:06 2000

Version:
  $Revision: 1.2 $
Author:
  Paul Kinnucan

Field Summary
`(package private) Application` | `app`

Fields inherited from class jde.debugger.command.DebugCommand
`appID, args, cmdID, cmdName`

Fields inherited from class java.lang.Thread
`contextClassLoader, daemon, eetop, group, inheritableThreadLocals, inheritedAccessControlContext, MAX_PRIORITY, MIN_PRIORITY, name, NORM_PRIORITY, priority, single_step, stillborn, stopThreadPermission, target, threadInitNumber, threadLocals, threadQ`

Fields inherited from interface jde.debugger.Protocol
`ATTACH_SHMEM, ATTACH_SOCKET, BR, BREAK, CANCEL_TRACE_CLASSES, CANCEL_TRACE_METHODS, CANCEL_TRACE_THREADS, CLEAR, COMMAND_ERROR, COMMAND_RESULT, CONNECTED_TO_VM, DEBUG, ERROR, EVALUATE, EVENT_BREAKPOINT_HIT, EVENT_CLASS_PREPARE, EVENT_CLASS_UNLOAD, EVENT_EXCEPTION, EVENT_METHOD_ENTRY, EVENT_METHOD_EXIT, EVENT_OTHER, EVENT_STEP_COMPLETED, EVENT_THREAD_DEATH, EVENT_THREAD_START, EVENT_VM_DEATH, EVENT_VM_DISCONNECT, EVENT_VM_START, EVENT_WATCHPOINT_HIT, EVENTSET, EXIT, FINISH, GET_ARRAY, GET_LOADED_CLASSES, GET_LOCALS, GET_OBJECT, GET_OBJECT_MONITORS, GET_PATH_INFORMATION, GET_STRING, GET_THREAD, GET_THREADS, INTERRUPT, INVALID, JDE_BUG, JDE_INIT_DEBUG_SESSION, KILL_THREAD, LAUNCH, LISTEN_SHMEM, LISTEN_SOCKET, MESSAGE, QUIT, REPORT_IDS_IN_USE, RESUME, RUN, SPEC_RESOLVED, STEP, SUSPEND, TRACE_CLASSES, TRACE_EXCEPTIONS, TRACE_METHODS, TRACE_THREADS, WARNING, WATCH`

Constructor Summary
`DebugApplicationCommand()`

Method Summary
`void` | `init(java.lang.Integer appID, java.lang.Integer cmdID, java.lang.String cmdName, java.util.List args)`

Methods inherited from class jde.debugger.command.DebugCommand
`clone, doCommand, run`

Methods inherited from class java.lang.Thread
`, activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, exit, getContextClassLoader, getName, getPriority, getThreadGroup, init, interrupt, interrupt0, interrupted, isAlive, isDaemon, isInterrupted, isInterrupted, join, join, join, nextThreadNum, registerNatives, resume, resume0, setContextClassLoader, setDaemon, setName, setPriority, setPriority0, sleep, sleep, start, stop, stop, stop0, suspend, suspend0, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### app

    Application app

Constructor Detail

### DebugApplicationCommand

    public DebugApplicationCommand()

Method Detail

### init

    public void init(java.lang.Integer appID,
                     java.lang.Integer cmdID,
                     java.lang.String cmdName,
                     java.util.List args)
              throws JDEException

  Overrides:
    `init` in class `DebugCommand`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD